Subject: Re: linux-next: build failure after merge of the sound-asoc tree

From: Mark Brown <[email-masked]>
Date: Mon, 18 Oct 2010 17:43:13 -0700

On Mon, Oct 18, 2010 at 05:30:39PM -0700, Peter Hsiang wrote:
> On Mon, Oct 18, 2010, Mark Brown wrote:

> > Your patch was apparently not generated against the mainline Makefile or
> > Kconfig and the automated conflict resolution tool I used (which is
> > normally fairly reliable) appears to have misplaced the header.  I've
> > restored the driver with the readdition of the header.

> .../pub/scm/linux/kernel/git/next/linux-next.git  Right?

As previously advised several times you should be submitting against the
latest for-whatever branch of 

  git://git.kernel.org/pub/scm/linux/kernel/git/broonie/sound-2.6.git

for ASoC.  That will *generally* be what's in -next but not always.